Bug 43079 - apps get unregistered if UMC appcenter is started during univention-upgrade
apps get unregistered if UMC appcenter is started during univention-upgrade
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: App Center
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2-1-errata
Assigned To: Dirk Wiesenthal
Felix Botner
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-11-30 16:47 CET by Felix Botner
Modified: 2017-08-09 16:57 CEST (History)
5 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 7: Crash: Bug causes crash or data loss
Who will be affected by this bug?: 2: Will only affect a few installed domains
How will those affected feel about the bug?: 4: A User would return the product
User Pain: 0.320
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments
appcenter.log (762.14 KB, text/x-log)
2016-11-30 16:48 CET, Felix Botner
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Botner univentionstaff 2016-11-30 16:47:37 CET
UCS 4.1 with old UCC app. (App) Update has been started with univention-upgrade. In the meantime the UMC Appcenter has been opened. 

This triggers the appcenter.register code. UMC Appcenter -> appcenter.register checks the packages status of the default packages. The UCC packages where != "ii" (some update status) and the the appcenter removed the app registration (e.g. the component).

appcenter.log
20751 is the univention-upgrade process

 20751 actions.upgrade                  16-11-30 14:55:59 [    INFO]: Ersatz für ucc-umc-setup wird entpackt .

UMC appcenter is started, this process removes ucc

 ps aux| grep 22901
root      8910  0.0  0.0   9916  2040 pts/2    S+   16:15   0:00 grep 22901
root     22901  0.3  2.0 464356 81668 ?        S    14:55   0:14 /usr/bin/python2.7 /usr/sbin/univention-management-console-module -m appcenter

 22901 actions.update                   16-11-30 14:55:59 [   DEBUG]: Calling update
 ...
 22901 actions.register                 16-11-30 14:56:03 [   DEBUG]: Removing repository/online/component/ucc_20160811170611

After that the packages are correctly updated by 20751.

 20751 actions.upgrade                  16-11-30 14:56:11 [    INFO]: ucc-umc-images (5.0.0-1.14.201605311646) wird eingerichtet .
 

A UMC Appcenter reopen or univention-app register does NOT (re) register the UCC app!
From now on the AppCenter thinks that this app is not installed.
Comment 1 Felix Botner univentionstaff 2016-11-30 16:48:07 CET
Created attachment 8263 [details]
appcenter.log
Comment 2 Dirk Wiesenthal univentionstaff 2017-07-27 13:25:00 CEST
Fixed in
  univention-appcenter 6.0.8-17A~4.2.0.201707271323

by checking the installation status of Debian packages not too strictly. So that they should be regarded as installed during a "apt-get dist-upgrade" (App upgrade via App Center or Release Update via Software Update module)
Comment 3 Felix Botner univentionstaff 2017-08-03 17:26:29 CEST
OK - univention-appcenter
OK - YAML
Comment 4 Arvid Requate univentionstaff 2017-08-09 16:57:18 CEST
<http://errata.software-univention.de/ucs/4.2/127.html>